#include<stdio.h>
#include<stdlib.h>
long stepen(int a)
{   long s10=1;
	for(int i=0;i<a;i++)
	s10*=10;
	return s10;

}
int brcif(long n)
{
	int i,br=0;
	long n1=n;
	while(n1>0)
	{
	n1/=10;
	br++;	
	}
	return br;
}
int main()
{
	long A,B,C;
	scanf("%ld%ld%ld",&A,&B,&C);
	int n=brcif(A);
	int m=brcif(B);
	int k=brcif(C);
	
	int mk=m+k;
	int mn=m+n;
	int nk=n+k;
	
	long komb1=A*stepen(mk)+B*stepen(k)+C;
	long komb2=A*stepen(mk)+C*stepen(m)+B;
	long komb3=B*stepen(nk)+A*stepen(k)+C;
	long komb4=B*stepen(nk)+C*stepen(n)+A;
	long komb5=C*stepen(mn)+A*stepen(m)+B;
	long komb6=C*stepen(mn)+B*stepen(n)+A;
		
	long max=komb1;
	if(max<komb2)
	max=komb2;
	if(max<komb3)
	max=komb3;
	if(max<komb4)
	max=komb4;
	if(max<komb5)
	max=komb5;
	if(max<komb6)
	max=komb6;
	printf("%ld",max);
	return 0;
    
}